%define name	opengroupware-xml
%define version 4.2
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org web application system, XML libraries
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation
Source:      opengroupware.org-xml-%{cvs}.tar.bz2
Patch:       opengroupware.org-xml-200307100104-installroot.patch.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel 
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel 
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel 
BuildRequires: libxml2 libxml2-devel
BuildRequires: opengroupware-libical opengroupware-libical-devel
Requires: opengroupware-libfoundation opengroupware-env
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: gcc-objc

%description
This package contains OpenGroupware.org libraries for XML processing. It contains 
Objective-C classes which implement SAX and DOM parsers and a framework
for implementing XML-RPC services.

%package devel
Summary: The header files for the OpenGroupware.org XML libraries.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the OpenGroupware.org XML libraries.

%package libxmlsaxdriver
Summary:  some SaxObjC drivers which are based on libxml
Group:    Development/Other
Prereq: libxml2


%description libxmlsaxdriver
This package contains SAX drivers based on libxml2, more exactly:
- a validating SAX driver based on libxml doc structures
- a non-validating SAX driver based on the libxml SAX interface
- a validating HTML SAX driver based on the libxml HTML driver

%package icalsaxdriver
Summary:  an SaxObjC driver to access iCalendar files in an XML manner
Group:    Development/Other
Requires: libxml2, opengroupware-libical


%description icalsaxdriver
This package contain a SAX driver based on libical. It parses iCalendar
files using libical and converts the iCalendar structure into SAX events
which are supposed to match the xCal draft (iCalendar 3.0)

%prep

%setup -q -n opengroupware.org-xml
%patch -p1 -b .installroot

%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

cd SaxObjC;         make -s debug=yes all; cd ..
cd DOM;             make debug=yes all; cd ..
cd XmlRpc;          make -s debug=yes all; cd ..
cd libxmlSAXDriver; make -s debug=yes all; cd ..
cd iCalSaxDriver;   make -s debug=yes all; cd ..
cd samples;         make -s debug=yes all; cd ..


%install

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

cd SaxObjC         
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd DOM             
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd XmlRpc          
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..
cd libxmlSAXDriver 
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" BUNDLE_INSTALL_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}/Library/SaxDrivers" install 
cd ..
cd iCalSaxDriver   
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" BUNDLE_INSTALL_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}/Library/SaxDrivers" install 
cd ..

cd samples
make -s debug=yes GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install 
cd ..

rm -f \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/rss2plist1 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/rss2plist2 \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/rssparse \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/testqp



%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%post libxmlsaxdriver

if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if test "x$USER" = "xroot"; then
su - ogo -s /bin/bash -c '
source ~/OpenGroupware.org.sh
  if test "x`Defaults read NSGlobalDomain XMLReader`" = "x"; then 
    Defaults write NSGlobalDomain XMLReader libxmlSAXDriver
  fi
'
fi


%verify libxmlsaxdriver

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

source $GSCFG

if test "x`Defaults read NSGlobalDomain XMLReader 2>/dev/null`" = "x"; then
  echo "WARNING: no XMLReader is configured !"
fi


%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT TODO Version
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libSaxObjC*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libDOM*.so*.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libXmlRpc*.so*.4.2*
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/domxml
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/saxxml
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/xmln

%files devel
%defattr(-,root,root,-)
%dir %{prefix}/Headers
%{prefix}/Headers/SaxObjC
%{prefix}/Headers/DOM
%{prefix}/Headers/XmlRpc
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libSaxObjC*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libDOM*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libXmlRpc*.so

%files libxmlsaxdriver
%defattr(-,root,root,-)
%dir %{prefix}/Library
%dir %{prefix}/Library/SaxDrivers
%{prefix}/Library/SaxDrivers/libxmlSAXDriver.sax

%files icalsaxdriver
%defattr(-,root,root,-)
%dir %{prefix}/Library
%dir %{prefix}/Library/SaxDrivers
%{prefix}/Library/SaxDrivers/iCalSaxDriver.sax

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

